NativeType (Jython API documentation)
Date: 2022-09-10

org.python.modules.jffi

## Enum NativeType

- java.lang.Object
- - java.lang.Enum<NativeType>
  - - org.python.modules.jffi.NativeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NativeType>

      public enum NativeType
      extends java.lang.Enum<NativeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY`
    `BOOL`
    `BUFFER_IN`
    `BUFFER_INOUT`
    `BUFFER_OUT`
    `BYTE`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LONG`
    `LONGLONG`
    `POINTER`
    `SHORT`
    `STRING`
    `STRUCT`
    `UBYTE`
    `UINT`
    `ULONG`
    `ULONGLONG`
    `USHORT`
    `VOID`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NativeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NativeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VOID

          public static final NativeType VOID

    - #### BOOL

          public static final NativeType BOOL

    - #### BYTE

          public static final NativeType BYTE

    - #### UBYTE

          public static final NativeType UBYTE

    - #### SHORT

          public static final NativeType SHORT

    - #### USHORT

          public static final NativeType USHORT

    - #### INT

          public static final NativeType INT

    - #### UINT

          public static final NativeType UINT

    - #### LONGLONG

          public static final NativeType LONGLONG

    - #### ULONGLONG

          public static final NativeType ULONGLONG

    - #### LONG

          public static final NativeType LONG

    - #### ULONG

          public static final NativeType ULONG

    - #### FLOAT

          public static final NativeType FLOAT

    - #### DOUBLE

          public static final NativeType DOUBLE

    - #### POINTER

          public static final NativeType POINTER

    - #### BUFFER_IN

          public static final NativeType BUFFER_IN

    - #### BUFFER_OUT

          public static final NativeType BUFFER_OUT

    - #### BUFFER_INOUT

          public static final NativeType BUFFER_INOUT

    - #### STRING

          public static final NativeType STRING

    - #### ARRAY

          public static final NativeType ARRAY

    - #### STRUCT

          public static final NativeType STRUCT

  - ### Method Detail

    - #### values

          public static NativeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NativeType c : NativeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NativeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Jython homepage